Mailinglist Archive: opensuse-es (1608 mails)

< Previous Next >
Re: [opensuse-es] Instalar correctamente gnome y kde en openSUSE
  • From: "Carlos E. R." <robin.listas@xxxxxxxxxxxxxx>
  • Date: Sun, 2 Nov 2008 13:12:53 +0100 (CET)
  • Message-id: <alpine.LSU.2.00.0811021307510.5408@xxxxxxxxxxxxxxxx>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1



El 2008-11-02 a las 12:57 +0100, Camaleón escribió:

El 1/11/08, Bismark Castilla Monzon escribió:

bueno, al final creo que no existe lo que busco, es decir a lo mejor no es la
misma
filosofia(apt,portage), hace un tiempo ya vengo usando linux y tengo entendido
que un
metapaquete contiene informacion sobre algunos paquetes a instalar cuando este
es
instalado,

Vamos a ver qué entiende Ubuntu por "metapaquete":

***
MetaPackages
https://help.ubuntu.com/community/MetaPackages

These packages do not contain actual software, they simply depend on
other packages to be installed. This setup allows entire sets of
software to be installed by selecting only the appropriate
metapackage. For example, an Ubuntu user can install the Kubuntu
environment (KDE and all its associated programs) by selecting
"kubuntu-desktop."
***

Y ahora, veamos qué entiende zypper por "patrones":

Zypper/Usage/11.0
http://en.opensuse.org/Zypper/Usage

pattern - represents a group of packages. For example an Http Server
pattern would have the dependencies defined so that all packages
needed to run and manage an http server would have been triggered for
installation when upon installing the pattern.
***

Pues parece que siguen la misma filosofía.

El metapaquete es un paquete .rpm "falso", que obliga a instalar otros simplemente por dependencias. Es una solución sencilla.

Los patrones son una solución más compleja y necesitan un manejador de paquetes sofisticado. Se consigue basicamente lo mismo, pero con mejor control.

Salvo que desinstalar un metapaquete no borrará todas las dependencias que trajo. Un patrón sí.

queria lograr algo asi con openSUSE y solo lo logre usar usando el yast como
me dijeron,
pero en si lo que andaba buscando era algun metapaquete.

¿Qué necesitas exactamente del metapaquete que no obtengas con el patrón? :-?

Ni idea.

- -- Saludos
Carlos E.R.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.9 (GNU/Linux)

iEYEARECAAYFAkkNmUgACgkQtTMYHG2NR9WRiwCdGcTO+Yl/foAtGQw6mVeJ6h5C
W1QAn1OfSzSdbz9RPfqLZSonRcpJ8IC8
=i+D/
-----END PGP SIGNATURE-----
< Previous Next >